import { getFormatDate } from "../../utils/utils";
import create from "dd-store";
create.Page({
  data: {
    tabBarIndex: "0",
    $data: null,
    iconDay: "",
    isLocation: false
  },
  onLoad() {
    let iconDay = new Date().getDate();
    this.setData({
      iconDay: iconDay
    });
    dd.setNavigationBar({
      title: '动态'
    })
  },
  onShow() {
    setTimeout(res => {
      this.update();
    }, 100);
  },
  // 修改tabBar
  changeTabBar(e) {
    let nowtabBarIndex = this.data.tabBarIndex;
    this.setData({
      tabBarIndex: e.currentTarget.dataset.tabbar
    });
    let title = '动态'
    switch (e.currentTarget.dataset.tabbar) {
      case '0':
        title = '动态177';
        break;
      case '1':
        title = '日程';
        break;
    }
    dd.setNavigationBar({
      title: title
    })
    if (
      nowtabBarIndex === e.currentTarget.dataset.tabbar &&
      e.currentTarget.dataset.tabbar === "1"
    ) {
      this.$store.data.isLocation = true;
      this.update();
    }
  },
  createMeeting() {
    dd.navigateTo({ url: "./../createMeeting/createMeeting" });
  }
});
